SETSID(1)

NOM
setsid - Lancer un programme dans une nouvelle session

SYNOPSIS

setsid [options] programme [arguments]

DESCRIPTION

setsid lance un programme dans une nouvelle session. La commande appelle fork(2) s’il y a déjà un meneur de groupe de processus. Sinon, il exécute un programme dans le processus actuel. Ce comportement par défaut peut être outrepassé avec l’option --fork.

OPTIONS

-c, --ctty
    Définir le terminal de contrôle à celui actuel.

-f, --fork
    Toujours créer un nouveau processus.

-w, --wait
    Attendre la fin de l’exécution du programme, puis renvoyer le code de retour de ce programme comme code de retour de setsid.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

-h, --help
    Afficher l’aide-mémoire puis quitter.

AUTEURS

VOIR AUSSI

setsid(2)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande setsid fait partie du paquet util-linux, elle est disponible sur